<!--- elimina.cfm: permette di eliminare gli album --->

<cfif isDefined('form.ID')>
     <!--- Prende il nome del file immagine dal database --->
     <cfquery name="getFileImg" datasource="discoteca">
          SELECT ALBUM_IMG FROM ALBUM
          WHERE ID_ALBUM = #form.ID#
     </cfquery>

     <!--- Elimina il file dal server --->
     <cfif getFileImg.ALBUM_IMG NEQ "">
          <cffile action="delete" file="C:\CFusionMX\wwwroot\discoteca\album\#getFileImg.ALBUM_IMG#">
     </cfif>

     <!--- Elimina il record dal database --->
     <cfquery name="delete" datasource="discoteca">
          DELETE FROM ALBUM
          WHERE ID_ALBUM = #form.ID#
     </cfquery>

     <!--- Dichiarazione di una variabile per confermare l'eliminazione --->
     <cfset eliminazioneOK = 'L''album  stato eliminato.'>

</cfif> 


<cfquery name="getAlbum" datasource="discoteca">
     SELECT ID_ALBUM, ALBUM_TITOLO, ALBUM_IMG FROM ALBUM
     ORDER BY ALBUM_TITOLO
</cfquery> 


<cfinclude template="header.cfm">

<cfif isDefined('eliminazioneOK')>
    <p><cfoutput>#eliminazioneOK#</cfoutput></p>
</cfif> 

<p class="titolo">Elimina un album</p>
<p>
<cfform action="elimina.cfm">
Seleziona l'album da eliminare:

<cfselect name="ID" size="1" query="getAlbum" value="ID_ALBUM" display="ALBUM_TITOLO">
</cfselect>

<br><br>
<input type="Submit" value="Elimina">

</cfform>

<cfinclude template="footer.cfm">